SELECT vc.
from VW_CONSULTADATAMASIVA vc 
where vc.DIRECCIONTERRITORIAL is not null 

SELECT a.MUNIGIRO , count(a.MUNIgiro), a.GENEROVICTIMA, count(a.GENEROVICTIMA),A.nombre_largo, COUNT(A.NOMBRE_LARGO)
FROM(
SELECT vc.MUNIGIRO, vc.MUNICIPIOOCURRENCIAHECHO, vc.DANEMUNOCURRENCIAHECHO, vc.DANEMUNICIPIOGIRO, d.NOMBRE_MUNICIPIO, vc.GENEROVICTIMA, p.ETNIA,
cr.NOMBRE_LARGO,vc.DIRECCIONTERRITORIAL, vc.PARENTESCODESTINATARIO, vc.ESTADOBANCARIOGIRO, vc.HECHOVICTIMIZANTE
from VW_CONSULTADATAMASIVA vc 
left join DIVIPOLA d on vc.DANEMUNICIPIOGIRO = d.CODIGO_DEPARTAMENTO_MUNICIPIO
left join PERSONA p on vc.ID_PERSONA_REGISTRO = p.ID_PERSONA_REGISTRO 
left join CODIGO_REFERENCIA cr on p.ETNIA = cr.ID_CODIGO_REFERENCIA
where vc.DIRECCIONTERRITORIAL is not null AND vc.ESTADOBANCARIOGIRO IS NOT NULL) A
GROUP BY A.NOMBRE_largo, a.generovictima, a.MUNigiro 
order by A.MUNIgiro 



SELECT * FROM VW_CONSULTADATAMASIVA vc  
where vc.MUNIgiro is null and vc.ESTADOBANCARIOGIRO is not null

select count(*) from VW_CONSULTADATAMASIVA vc 